/*
	File:		globals.h

	Written by:	Mary Chan

	Copyright:	 1990 by Apple Computer, Inc., all rights reserved.

*/

/*	global variables */
#ifndef	__CMINTF__
#include	"CMIntf.h"
#endif

#ifndef	__TMINTF__
#include "TMIntf.h"
#endif

#ifndef	__ FTINTF__
#include "FTIntf.h"
#endif

#ifndef	__GLOBALS__

#define		__GLOBALS__		1

#define		MAXCACHECOL		132
#define		MAXCACHELINE	24
#define		CACHESIZE		MAXCACHELINE*MAXCACHECOL
#define		GROWBOXSIZE		13
#define		CACHBOTTOMSLOP	3

#define		tmEnvironsChanged		2

typedef	struct	line		
{
	char		linearray[MAXCACHECOL];
}line, *linePtr;

extern	TermHandle		_GTERM;
extern	Handle			_MYDATAHANDLE;
extern	long			_MYDATASIZE;
extern	ControlHandle	_VERTSCROLLHDL;
extern	ControlHandle	_HORISCROLLHDL;
extern	Rect			_TERMVISRECT;
extern	RgnHandle		_UPDATERGN;					/*  preallocated update rgn hdl for scrolling */
extern	Rect			_CACHEDESTRECT;				/* cache destination rect */
extern	Handle			_MYDATAHDL;					/* preallocate handle for TMPaint */
extern	Rect			_GROWRECT;
extern	Rect			_PORTRECT;
extern	char			_BLANKLINE[];
extern	RgnHandle		_OLDRGN;
extern	RgnHandle		_NEWRGN;
extern 	RgnHandle		_SAVECLIP;


#endif